package sample.persistence;

import org.apache.ibatis.annotations.Mapper;
import java.util.List;

import sample.dtoTcsSiteTradeVo;

/**
 * 하자)현장업체계약 Mapper
 * fileName : TcsSiteTradeMapper.java
 *
 * @author outmind0@gmail.com
 * @since 2022-10-28
 */
@Mapper
public interface TcsSiteTradeMapper {

	/**
	 * 하자)현장업체계약 - List
	 * @param vo
	 * @return 
	 */
	List<TcsSiteTradeVo> selectTcsSiteTradeList(TcsSiteTradeVo vo);

	/**
	 * 하자)현장업체계약 - View
	 * @param vo
	 * @return 
	 */
	TcsSiteTradeVo selectTcsSiteTradeView(TcsSiteTradeVo vo);

	/**
	 * 하자)현장업체계약 - Insert
	 * @param vo
	 * @return 
	 */
	void insertTcsSiteTrade(TcsSiteTradeVo vo);

	/**
	 * 하자)현장업체계약 - Update
	 * @param vo
	 * @return 
	 */
	void updateTcsSiteTrade(TcsSiteTradeVo vo);

	/**
	 * 하자)현장업체계약 - Delete
	 * @param vo
	 * @return 
	 */
	void deleteTcsSiteTrade(TcsSiteTradeVo vo);

}